<?php
global $edu_light_panels;
global $edu_light_sections;
global $edu_light_settings_controls;
global $edu_light_repeated_settings_controls;
global $edu_light_customizer_defaults;

/*defaults values feature portfolio options*/
$edu_light_customizer_defaults['edu-light-feature-slider-enable'] = 0;
$edu_light_customizer_defaults['edu-light-featured-slider-number'] = 2;
$edu_light_customizer_defaults['edu-light-featured-slider-selection'] = 'from-page';
$edu_light_customizer_defaults['edu-light-featured-slider-pages'] = 0;
$edu_light_customizer_defaults['edu-light-fs-single-words'] = 30;
$edu_light_customizer_defaults['edu-light-fs-button-text'] = esc_html__('View More','edu-light');
/*creating panel for fonts-setting*/

$edu_light_sections['edu-light-featured-slider'] =
    array(
        'priority'       =>   10,
        'title'          =>   esc_html__( 'Feature-Slider-Section', 'edu-light' ),
        'panel'             =>'edu-light-main-homepage-panel',
    );


/*Feature section enable control*/
$edu_light_settings_controls['edu-light-feature-slider-enable'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-feature-slider-enable']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Enable Feature Slider', 'edu-light' ),
            'section'               =>   'edu-light-featured-slider',
            'description'           =>   esc_html__( 'Enable "Feature slider" on checked' , 'edu-light' ),
            'type'                  =>   'checkbox',
            'priority'              =>   5,
            'active_callback'       =>   ''
        )
    );

/*No of feature slider selection*/
$edu_light_settings_controls['edu-light-featured-slider-number'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-featured-slider-number']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Number Of Slider', 'edu-light' ),
            'section'               =>   'edu-light-featured-slider',
            'type'                  =>   'select',
            'choices'               =>   array(
                1 =>   esc_html__( '1', 'edu-light' ),
                2 =>   esc_html__( '2', 'edu-light' ),
            ),
            'priority'              =>   10,
            'active_callback'       =>   ''
        )
    );

/*creating setting control for edu-light-fs-page start*/
$edu_light_repeated_settings_controls['edu-light-featured-slider-pages'] =
    array(
        'repeated' =>   2,
        'edu-light-fs-pages-ids' =>   array(
            'setting' =>       array(
                'default'              =>   $edu_light_customizer_defaults['edu-light-featured-slider-pages'],
            ),
            'control' =>   array(
                /* translators: %s: search term */
                'label'                 =>    esc_html__( 'Select Page For Slide %s', 'edu-light' ),
                'section'               =>   'edu-light-featured-slider',
                'type'                  =>   'dropdown-pages',
                'priority'              =>   60,
                'description'           =>   ''
            )
        ),
    );


$edu_light_settings_controls['edu-light-fs-single-words'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-fs-single-words']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Single Slider Number Of Words', 'edu-light' ),
            'description'           =>    esc_html__( 'If you do not have selected from - Custom', 'edu-light' ),
            'section'               =>   'edu-light-featured-slider',
            'type'                  =>   'number',
            'priority'              =>   5,
            'active_callback'       =>   '',
            'input_attrs' =>   array( 'min' =>   1, 'max' =>   200),
        )
    );

    $edu_light_settings_controls['edu-light-fs-button-text'] =
        array(
            'setting' =>       array(
                'default'              =>   $edu_light_customizer_defaults['edu-light-fs-button-text']
            ),
            'control' =>   array(
                'label'                 =>    esc_html__( 'Slider Button Text', 'edu-light' ),
                'section'               =>   'edu-light-featured-slider',
                'type'                  =>   'text',
                'priority'              =>   85,
                'active_callback'       =>   ''
            )
        );
