<?php 
global $edu_light_panels;
global $edu_light_sections;
global $edu_light_settings_controls;
global $edu_light_repeated_settings_controls;
global $edu_light_customizer_defaults;

// defaults value
$edu_light_customizer_defaults['edu-light-latest-news-enable-option']   = 0;
$edu_light_customizer_defaults['edu-light-latest-news-title-text']      = esc_html__( 'Latest News', 'edu-light' );
$edu_light_customizer_defaults['edu-light-latest-news-category']        = 0;
$edu_light_customizer_defaults['edu-light-latest-news-single-word']     = 30;
$edu_light_customizer_defaults['edu-light-latest-news-section-number']  = 3;
// $edu_light_customizer_defaults['edu-light-latest-news-selection']       = 'from-category';

// create a section for latest news
$edu_light_sections['edu-light-latest-news-section'] = 
array(
	'title'				=> esc_html__( 'Latest-News-Section', 'edu-light' ),
	'panel'				=> 'edu-light-main-homepage-panel',
	'priority'			=> 70
);

// create a setting control for enable option
$edu_light_settings_controls['edu-light-latest-news-enable-option'] = 
array(
	'setting'				=> array(
		'default'			=> $edu_light_customizer_defaults['edu-light-latest-news-enable-option']
	),
	'control'				=> array(
		'label'				=> esc_html__( 'Enable Latest News', 'edu-light' ),
		'section'			=> 'edu-light-latest-news-section',
		'type'				=> 'checkbox',
		'priority'			=> 10,
		'active_callback'	=> ''
	)
);

// create a setting control for title text
$edu_light_settings_controls['edu-light-latest-news-title-text'] = 
array(
	'setting'				=> array(
		'default'			=> $edu_light_customizer_defaults['edu-light-latest-news-title-text']
	),
	'control'				=> array(
		'label'				=> esc_html__( 'Title Text', 'edu-light' ),
		'section'			=> 'edu-light-latest-news-section',
		'type'				=> 'text',
		'priority'			=> 20,
		'active_callback'	=> ''
	)
);

// create a setting control for single word
$edu_light_settings_controls['edu-light-latest-news-single-word'] = 
array(
	'setting'				=> array(
		'default'			=> $edu_light_customizer_defaults['edu-light-latest-news-single-word']
	),
	'control'				=> array(
		'label'				=> esc_html__( 'Select Number Of Word', 'edu-light' ),
		'section'			=> 'edu-light-latest-news-section',
		'type'				=> 'number',
		'input_attr'		=> array('min' => 1, 'max' =>200),
		'priority'			=> 30,
		'active_callback'	=> ''
	)
);

/*creating setting control for edu-light-fs-Category start*/
$edu_light_settings_controls['edu-light-latest-news-category'] =
    array(
        'setting' =>       array(
            'default'              => $edu_light_customizer_defaults['edu-light-latest-news-category']
        ),
        'control' =>   array(
            'label'                 => esc_html__( 'Select Category For Latest News', 'edu-light' ),
            'description'           => esc_html__( 'News will only displayed from this category', 'edu-light' ),
            'section'               => 'edu-light-latest-news-section',
            'type'                  => 'category_dropdown',
            'priority'              => 50,
            'active_callback'       => ''
        )
    );




        
