<?php

global $edu_light_panels;
global $edu_light_sections;
global $edu_light_settings_controls;
global $edu_light_repeated_settings_controls;
global $edu_light_customizer_defaults;

// default value;
$edu_light_customizer_defaults['edu-light-testimonial-enable']	= 0;
$edu_light_customizer_defaults['edu-light-testimonial-main-title'] = esc_html__('What Our Students Says','edu-light');

$edu_light_customizer_defaults['edu_light_testimonial_background_image'] = get_template_directory_uri().'/assets/images/edu.jpg';

$edu_light_customizer_defaults['edu-light-testimonial-single-number-word']	= 25;
$edu_light_customizer_defaults['edu-light-testimonial-from-page']		= 0;
$edu_light_customizer_defaults['edu-light-testimonial-number_page']     = 3;


// create a section 
$edu_light_sections['edu-light-tesimonial-section'] = 
	array(
		'title'   		=> esc_html__('Testimonial-Section','edu-light'),
		'panel'			=> 'edu-light-main-homepage-panel',
		'priority'		=> 60
	);


/*Feature section enable control*/
$edu_light_settings_controls['edu-light-testimonial-enable'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-testimonial-enable']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Enable Testimonial', 'edu-light' ),
            'section'               =>   'edu-light-tesimonial-section',
            'description'           =>   esc_html__( 'Enable "Feature testimonial" on checked' , 'edu-light' ),
            'type'                  =>   'checkbox',
            'priority'              =>   10,
            'active_callback'       =>   ''
        )
    );	

$edu_light_settings_controls['edu-light-testimonial-single-number-word'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-testimonial-single-number-word']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Single Slider Number Of Words', 'edu-light' ),
            'description'           =>    esc_html__( 'If you do not have selected from - Custom', 'edu-light' ),
            'section'               =>   'edu-light-tesimonial-section',
            'type'                  =>   'number',
            'priority'              =>   15,
            'active_callback'       =>   '',
            'input_attrs' =>   array( 'min' =>   1, 'max' =>   200),
        )
    );


$edu_light_settings_controls['edu-light-testimonial-main-title'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-testimonial-main-title']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Main Title Text', 'edu-light' ),
            'section'               =>   'edu-light-tesimonial-section',
            'type'                  =>   'text',
            'priority'              =>   20,
            'active_callback'       =>   ''
        )
    );



$edu_light_settings_controls['edu_light_testimonial_background_image'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu_light_testimonial_background_image']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Background-Image', 'edu-light' ),
            'section'               =>   'edu-light-tesimonial-section',
            'type'                  =>   'image',
            'priority'              =>   30,
            'active_callback'       =>   ''
        )
    );    
    

$edu_light_repeated_settings_controls['edu-light-testimonial-from-page'] =
    array(
        'repeated'                                      => 3,
        'edu_light_testimonila_page_ids'         => array(

            'setting' =>       array(
                'default'              =>   $edu_light_customizer_defaults['edu-light-testimonial-from-page']
            ),
            'control' =>   array(
                'label'                 =>    esc_html__( 'Select a page for Testimonial ', 'edu-light' ),
                'section'               =>   'edu-light-tesimonial-section',
                'type'                  =>   'dropdown-pages',
                'priority'              =>   40,
                'active_callback'       =>   ''
            )
        ),
    );    