<?php

if ( !function_exists('edu_light_single_button') ) :
	/**
    * edu-light source single button
    *
    * @since edu-light1.0.0
    *
    * @param null
    * @return null
    *
    */
    function edu_light_single_button()
    {
    	global $edu_light_customizer_all_values;
    	$edu_light_single_number_word = absint($edu_light_customizer_all_values['edu-light-call-to-action-single-word']);
    	$edu_light_single_icon = esc_html($edu_light_customizer_all_values['edu-light-call-to-action-icon']);
    	$edu_light_single_title_text = esc_html($edu_light_customizer_all_values['edu-light-call-to-action-title-text']);
    	$edu_light_single_button_text = esc_html($edu_light_customizer_all_values['edu-light-call-to-action-text']);
    	$edu_light_single_button_link = esc_url_raw($edu_light_customizer_all_values['edu-light-call-to-action-url']);
    	if ( 1 != $edu_light_customizer_all_values['edu-light-call-to-action-enable'] )
    	{
    		return null;
    	}?>
    	<section class="callto-action wrapper clearfix">
			<div class="container">
				<div class="row">
					<div class="col-md-9 col-sm-9 col-xs-12 col-lg-9">
						<div class="callto-action-text">
							<h2><span><i class="fa <?php echo esc_attr($edu_light_single_icon); ?>"></i></span><span class="text-content"></span><?php echo esc_html(edu_light_words_count($edu_light_single_number_word,$edu_light_single_title_text)); ?></h2></h2>
						</div><!-- callto-action-text -->
					</div><!-- col-md-8 -->
					<div class="col-md-3 col-xs-12 col-sm-3 col-lg-3">
						<div class="cta-btn">
							<a href="<?php echo esc_html($edu_light_single_button_link); ?>" class="border-only"><?php echo esc_html($edu_light_single_button_text); ?></a>
						</div><!-- cta-btn -->
					</div><!-- col-md-4 -->
				</div><!-- row -->
			</div><!-- container -->
		</section><!-- callto action -->
    <?php }

endif;
add_action( 'edu_light_homepage','edu_light_single_button', 40 );
