<?php 
if ( !function_exists('edu_source_feature_array')  ) :
	/**
    * edu-light source feature section 
    *
    * @since edu-light1.0.0
    *
    * @param null
    * @return array
    *
    */
	function edu_source_feature_array()
	{
		global $edu_light_customizer_all_values;
		$edu_light_feature_single_words = absint($edu_light_customizer_all_values['edu-light-feature-single-word']);
		$edu_light_feature_select_number = absint($edu_light_customizer_all_values['edu-light-feature-select-number-section']);
		$edu_light_source_content = array();
		$edu_light_source_content[1]['edu-light-feature-titile'] = esc_html__('Education-Feature ','edu-light');
		$edu_light_source_content[1]['edu-light-feature-content'] = esc_html__('Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s','edu-light');
		$edu_light_source_content[1]['edu-light-pages-icon'] = 'fa-desktop';
		$edu_light_source_content[1]['edu-light-feature-link'] = '#';
		$edu_light_page_icon_array = array('edu-light-pages-icon');
		$edu_light_feature_page_array = array('edu-light-feature-pages-ids');

		$repeated_feature_page = evision_customizer_get_repeated_all_value(3,$edu_light_feature_page_array);
		$repeated_feature_page_icon = evision_customizer_get_repeated_all_value(3,$edu_light_page_icon_array);

		$edu_light_posts_ids = array();

		if( null != $repeated_feature_page  )
		{
			foreach( $repeated_feature_page as $repeated_feature_pages )
			{
				if( 0 != $repeated_feature_pages['edu-light-feature-pages-ids']  )
				{
					$edu_light_posts_ids[] = $repeated_feature_pages['edu-light-feature-pages-ids'];
				}
			}
			if ( !empty($edu_light_posts_ids) )
			{
				$edu_light_feature_page_arg = array(
					'post_type'    		=> 'page',
					'post__in'			=> array_map('absint', $edu_light_posts_ids),
					'posts_per_page'		=> absint($edu_light_feature_select_number),
					'orderby'			=> 'post__in'

				);
			}
		}

		if ( !empty($edu_light_feature_page_arg) )
		{
			$edu_light_source_content = array();
			// query start
			$edu_light_feature_query = new WP_Query($edu_light_feature_page_arg);
			if ( $edu_light_feature_query ->have_posts() ) :
				$i = 1;
				while( $edu_light_feature_query -> have_posts() ) :
					$edu_light_feature_query-> the_post();

					$edu_light_source_content[$i]['edu-light-feature-titile'] = get_the_title();
					if ( has_excerpt() )
					{
						$edu_light_source_content[$i]['edu-light-feature-content'] = get_the_excerpt();
					}
					else
					{
						$edu_light_source_content[$i]['edu-light-feature-content']  = edu_light_words_count($edu_light_feature_single_words,get_the_content());
					}
					$edu_light_source_content[$i]['edu-light-feature-link']  = get_permalink();

					if ( isset($repeated_feature_page_icon[$i]) )
					{
						$edu_light_source_content[$i]['edu-light-pages-icon']  = $repeated_feature_page_icon[$i]['edu-light-pages-icon'];
					}
					else
					{
						$edu_light_source_content[$i]['edu-light-pages-icon'] = 'fa-desktop';
					}
					$i++;
				endwhile;
				wp_reset_postdata();
			endif;
		}
		return $edu_light_source_content;
		
	}
endif;

if ( !function_exists('edu_light_feature') ) :
	/**
    * edu-light source feature section 
    *
    * @since edu-light1.0.0
    *
    * @param null
    * @return nul
    *
    */

    function edu_light_feature()
    {
    	global $edu_light_customizer_all_values;

    	if ( 1 != $edu_light_customizer_all_values['edu-light-feature-enable']  )
    	{
    		return null;
    	}
    	$edu_light_main_title_text = $edu_light_customizer_all_values['edu-light-home-feature-main_title'];
    	$edu_light_home_feature_selection_options = $edu_light_customizer_all_values['edu-light-home-feature-selection'];
    	$edu_light_feature_single_words = absint($edu_light_customizer_all_values['edu-light-feature-single-word']);
		$edu_light_feature_array = edu_source_feature_array($edu_light_home_feature_selection_options);
		if ( is_array($edu_light_feature_array) )
		{
			$edu_light_feature_select_number = absint($edu_light_customizer_all_values['edu-light-feature-select-number-section']);
			?>
			<section class="feature-section wrapper clearfix">	
				<div class="container">
					<div class="row">
						<h2><?php echo esc_html($edu_light_main_title_text); ?></h2>
						<?php if ( !empty($edu_light_main_title_text) ) {?>
						<div class="divider centre"></div>
						<?php } ?>
						<?php
							$i =1;
							foreach( $edu_light_feature_array as $edu_light_feature_arrays )
							{
								if( $edu_light_feature_select_number < $i )
								{
									break;
								}?>
								<div class="col-md-4 col-lg-4 col-sm-4 col-xs-12 feature">			
									<div class="feature-icon-section">
										<i class="fa <?php echo esc_attr($edu_light_feature_arrays['edu-light-pages-icon']);?>"></i>
										<h3><a href="<?php echo esc_url($edu_light_feature_arrays['edu-light-feature-link']);?>"><?php echo esc_html($edu_light_feature_arrays['edu-light-feature-titile']);?></a></h3>
										<p><?php echo wp_kses_post($edu_light_feature_arrays['edu-light-feature-content']);?></p>
						  	        </div><!-- content -->
						        </div><!-- col -->
						<?php
						$i++;
							}
						?>					
					</div><!-- row-->
				</div><!-- container -->			
			</section><!-- feature section -->
		<?php }

    }
endif;
add_action('edu_light_homepage','edu_light_feature',30);