<?php

if ( ! function_exists( 'edu_light_latest_news' ) ) :
    /**
     * Latest News
     *
     * @since edu-light 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function edu_light_latest_news() 
    {
        global $edu_light_customizer_all_values;
        global $post;
        $author_id=$post->post_author;
        if( ! $edu_light_customizer_all_values['edu-light-latest-news-enable-option'] ) 
        {
                return null;
        }

        $edu_light_latest_news_single_words = absint( $edu_light_customizer_all_values['edu-light-latest-news-single-word'] );
        $edu_light_latest_news_main_title = esc_html($edu_light_customizer_all_values['edu-light-latest-news-title-text']);
        $edu_light_latest_news_category = $edu_light_customizer_all_values['edu-light-latest-news-category'];
        $edu_light_latest_news_main_title  = esc_html($edu_light_customizer_all_values['edu-light-latest-news-title-text']) ;?>
        <section class="latest-news wrapper clearfix">
            <div class="container">
                <div class="row">   
                    <h2><?php echo esc_html($edu_light_latest_news_main_title);?></h2> 
                    <div class="divider centre"></div><!-- line after heading -->
                    <div class="col-md-12 col-sm-12 col-lg-12 col-xs-12 blog-slider">                        
                    <?php if( !empty($edu_light_latest_news_category ) )
                    {
                        $edu_light_latest_news_args = array(
                            'post_type' => 'post',
                            'cat' => $edu_light_latest_news_category,
                            'posts_per_page' => 3,                    
                            'ignore_sticky_posts' => true
                        );
                        $edu_light_fature_section_post_query = new WP_Query( $edu_light_latest_news_args );
                        // var_dump($edu_light_fature_section_post_query);
                        if( $edu_light_fature_section_post_query->have_posts() ) :
                            while ( $edu_light_fature_section_post_query->have_posts() ) :
                                $edu_light_fature_section_post_query->the_post();
                                ?>
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                        <div class="left-blog-content">
                                            <div class="blog-image">
                                                <?php if( has_post_thumbnail() ): ?>
                                                    <?php the_post_thumbnail('full');?>
                                                <?php else: ?> 
                                                <img src="<?php echo esc_url(get_template_directory_uri(). '/assets/images/edu.jpg')?>"" class="img-responsive" alt="<?php echo the_title(); ?>">
                                                <?php endif;?>
                                            </div><!-- blog section -image -->
                                            <div class="blog-content">

                                                <h3><a href="<?php the_permalink();?>"><?php echo the_title(); ?></a></h3>
                                                <p><?php echo  wp_kses_post( edu_light_words_count( $edu_light_latest_news_single_words ,get_the_content() ) ); ?></p>

                                                <p class="blog-meta"><span><a href="<?php echo esc_url( get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d') ) ); ?>"><?php echo esc_html( get_the_date('M j , Y') );?></a></span></p>
                                            </div><!-- blog content -->
                                            <div class="by-line">
                                                <p class="author-card"><i class="fa fa-user"> </i> by <a href="<?php echo esc_url( get_author_posts_url( $author_id ) )?>"><?php the_author_meta('nickname');?></a></p>
                                                <p class="comments-count"><i class="fa fa-comments"> </i> <a href="<?php the_permalink(); ?>"><?php echo comments_number(); ?></a></p>
                                            </div><!-- by line -->
                                        </div><!-- leftblog content -->
                                    </div><!-- col -4 -->
                                <?php
                            endwhile;       
                        endif;
                    } ?>     
                
                </div><!-- row -->
            </div><!-- container -->
        </section><!-- blog section -->
        <?php
}
endif;
add_action( 'edu_light_homepage', 'edu_light_latest_news', 70 );