<?php
if ( ! function_exists( 'edu_light_featured_slider_array' ) ) :
    /**
     * Featured Slider array creation
     *
     * @since edu-light 1.0.0
     *
     * @param string null
     * @return array
     */
    function edu_light_featured_slider_array(  )
    {
        global $edu_light_customizer_all_values;
        $edu_light_feature_slider_number = absint( $edu_light_customizer_all_values['edu-light-featured-slider-number'] );
        $edu_light_feature_slider_single_words = absint( $edu_light_customizer_all_values['edu-light-fs-single-words'] );
        $edu_light_feature_slider_contents_array[0]['edu-light-feature-slider-title'] = '';
        $edu_light_feature_slider_contents_array[0]['edu-light-feature-slider-content'] = '';
        $edu_light_feature_slider_contents_array[0]['edu-light-feature-slider-link'] = '#';
        $edu_light_feature_slider_contents_array[0]['edu-light-feature-slider-image'] =  '';
        $repeated_page = array('edu-light-fs-pages-ids');
        $edu_light_feature_slider_args = array();

        $edu_light_feature_slider_posts = evision_customizer_get_repeated_all_value(2 , $repeated_page);
        $edu_light_feature_slider_posts_ids = array();
        if( null != $edu_light_feature_slider_posts )
        {
            foreach( $edu_light_feature_slider_posts as $edu_light_feature_slider_post )
            {
                if( 0 != $edu_light_feature_slider_post['edu-light-fs-pages-ids'] )
                {
                    $edu_light_feature_section_posts_ids[] = $edu_light_feature_slider_post['edu-light-fs-pages-ids'];
                }
            }

            if( !empty( $edu_light_feature_section_posts_ids ))
            {
                $edu_light_feature_slider_args =    array(
                    'post_type' => 'page',
                    'post__in' => array_map( 'absint', $edu_light_feature_section_posts_ids ),
                    'posts_per_page' => absint($edu_light_feature_slider_number),
                    'orderby' => 'post__in'
                );
            }

        }
        if( !empty( $edu_light_feature_slider_args ))
        {
            // the query
            $edu_light_fature_section_post_query = new WP_Query( $edu_light_feature_slider_args );

            if ( $edu_light_fature_section_post_query->have_posts() ) :
                $i = 0;
                while ( $edu_light_fature_section_post_query->have_posts() ) : $edu_light_fature_section_post_query->the_post();
                    $url ='';
                    if(has_post_thumbnail()){
                        $thumb = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'edu-light-main-banner' );
                        $url = $thumb['0'];
                    }
                    $edu_light_feature_slider_contents_array[$i]['edu-light-feature-slider-title'] = get_the_title();
                    $edu_light_feature_slider_contents_array[$i]['edu-light-feature-slider-content'] = edu_light_words_count( $edu_light_feature_slider_single_words ,get_the_content());
                    $edu_light_feature_slider_contents_array[$i]['edu-light-feature-slider-link'] = get_permalink();
                    $edu_light_feature_slider_contents_array[$i]['edu-light-feature-slider-image'] = $url;
                    $i++;
                endwhile;
                wp_reset_postdata();
            endif;
        }
        return $edu_light_feature_slider_contents_array;
    }
endif;

if ( ! function_exists( 'edu_light_featured_home_slider' ) ) :
    /**
     * Featured Slider
     *
     * @since edu-light 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function edu_light_featured_home_slider() {
        global $edu_light_customizer_all_values;

        if( 1 != $edu_light_customizer_all_values['edu-light-feature-slider-enable'] ){
            return null;
        }
        $edu_light_feature_slider_selection_options = $edu_light_customizer_all_values['edu-light-featured-slider-selection'];
        $edu_light_source_button_text = $edu_light_customizer_all_values['edu-light-fs-button-text'];
        $edu_light_slider_arrays = edu_light_featured_slider_array( $edu_light_feature_slider_selection_options );


        if( is_array( $edu_light_slider_arrays )){
        $edu_light_feature_slider_number = absint( $edu_light_customizer_all_values['edu-light-featured-slider-number'] );
    ?>

      <section class="banner-section wrapper clearfix">         
            <div class="edu-main-slider">   
            <?php
                $i =1 ;
                foreach ( $edu_light_slider_arrays as $edu_light_slider_array )
                {
                    if ( $edu_light_feature_slider_number < $i )
                    {
                        break;
                    }
                    if ( empty($edu_light_slider_array['edu-light-feature-slider-image']) )
                    {
                        $feature_slider_image =  get_template_directory_uri() . '/assets/images/edu.jpg'; 
                    }
                    else
                    {
                        $feature_slider_image = $edu_light_slider_array['edu-light-feature-slider-image'];
                    }

                ?>
                <div class="banner-image">
                    <figure class="image-wrapper">
                        <img class="img-responsive" src="<?php echo esc_url($feature_slider_image);?>" alt="<?php echo esc_html($edu_light_slider_array['edu-light-feature-slider-title']);?>">
                    </figure><!-- banne image -->
                    <div class="container caption-wrapper">
                        <div class="banner-caption">
                           
                            <h2 class="site-heading"><?php echo esc_html($edu_light_slider_array['edu-light-feature-slider-title']);?> </h2>
                            
                            <div class="divider"></div><!-- line after heading -->
                            
                            <p><?php echo wp_kses_post($edu_light_slider_array['edu-light-feature-slider-content']);?></p>
                            <?php if(!empty($edu_light_source_button_text)) { ?>
                            <a href="<?php echo esc_url($edu_light_slider_array['edu-light-feature-slider-link']);?>" class="border-only"><?php echo esc_html($edu_light_source_button_text);?></a>
                            <?php }  ?>
                        </div><!-- banner content -->
                    </div>
                </div><!-- banner -image -->
               <?php
          $i++;
          }
          ?>
        </div>
        </section><!-- banner-section -->

    <?php
        }
    }
endif;
add_action( 'edu_light_homepage', 'edu_light_featured_home_slider', 10 );