<?php
if ( !function_exists('edu_light_testimonial_array') ) :
	/**
    * edu-light source testimonial section 
    *
    * @since edu-light1.0.0
    *
    * @param null
    * @return array
    *
    */
    function edu_light_testimonial_array()
    {
    	global $edu_light_customizer_all_values;
    	$edu_light_testimonial_single_words = absint($edu_light_customizer_all_values['edu-light-testimonial-single-number-word']);
    	$edu_light_testimonial_main_title_text = esc_html($edu_light_customizer_all_values['edu-light-testimonial-main-title']);
    	$edu_light_testimonial_select_number_page = absint($edu_light_customizer_all_values['edu-light-testimonial-number_page']);
    	$edu_light_testimonial_content_array = array();
    	$edu_light_testimonial_content_array[0]['testimonial_title']  = '';
    	$edu_light_testimonial_content_array[0]['testimonial_content']  =  '';
    	$edu_light_testimonial_content_array[0]['testimonial_image']	= '';
    	$edu_light_testimonial_content_array[0]['testimonial_link']  =  '#';

    	$repeated_page = array('edu_light_testimonila_page_ids');
    	$edu_light_testiomnial_page = evision_customizer_get_repeated_all_value(3,$repeated_page);

    	$edu_light_testimonial_post_id = array();

    	if ( null != $edu_light_testiomnial_page)
    	{
    		foreach ( $edu_light_testiomnial_page as $edu_light_testiomnial_pages )
    		{
    			if ( 0 != $edu_light_testiomnial_pages['edu_light_testimonila_page_ids'] )
    			{
    				$edu_light_testimonial_post_id[] = $edu_light_testiomnial_pages['edu_light_testimonila_page_ids'];
    			}
    		}

    		if (  !empty($edu_light_testimonial_post_id) ) 
    		{
    			$edu_light_testimonial_args = array(
    				'post_type'			=> 'page',
    				'post_per_pages'	=>  absint($edu_light_testimonial_select_number_page),
    				'post__in'			=> array_map('absint', $edu_light_testimonial_post_id),
    				'oredrby'			=> 'post__in'

    			);
    		}
    	}

    	if ( !empty($edu_light_testimonial_args) )
    	{
    		// query start
    		$edu_light_testimonial_content_array = array();
    		$edu_light_testimonial_query = new WP_Query($edu_light_testimonial_args);
    		if ( $edu_light_testimonial_query-> have_posts() ) :
    			$i = 1;
    			while( $edu_light_testimonial_query -> have_posts() ) :
    				$edu_light_testimonial_query-> the_post();
    				$edu_light_testimonial_content_array[$i]['testimonial_title'] = get_the_title();
    				if ( has_excerpt() )
    				{
    					$edu_light_testimonial_content_array[$i]['testimonial_content'] = get_the_excerpt();
    				}
    				else
    				{
    					$edu_light_testimonial_content_array[$i]['testimonial_content'] = edu_light_words_count($edu_light_testimonial_single_words, get_the_content());
    				}
    				$images = '';
    				if ( has_post_thumbnail() )
    				{
    					$thumb =  wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'edu-light-testimonial-thumbnail' );
    				}
    				$images = $thumb[0];
    				$edu_light_testimonial_content_array[$i]['testimonial_image'] = $images ;
    				$edu_light_testimonial_content_array[$i]['testimonial_link'] = get_permalink();
    				$i++;
    			endwhile;
    			wp_reset_postdata();
    		endif;
	    }
    		return $edu_light_testimonial_content_array;
    		
    	
    }
endif;

if ( !function_exists('edu_light_testimonial') ) :
	/**
    * edu-light source testimonial section 
    *
    * @since edu-light1.0.0
    *
    * @param null
    * @return null
    *
    */
    function edu_light_testimonial()
    {
    	global $edu_light_customizer_all_values;
    	if ( 1 != $edu_light_customizer_all_values['edu-light-testimonial-enable'] )
    	{
    		return null;
    	}
    	
    	$edu_light_testimonial_page_array = edu_light_testimonial_array();

    	if ( is_array($edu_light_testimonial_page_array) )
    	{
    		$edu_light_testimonial_main_title_text = $edu_light_customizer_all_values['edu-light-testimonial-main-title'];
    		$edu_light_testimonial_select_number_page = $edu_light_customizer_all_values['edu-light-testimonial-number_page'];
    		$edu_light_testimonial_background_image = $edu_light_customizer_all_values['edu_light_testimonial_background_image'];
    		?>
    		
	    	<section class="testimonials-section wrapper clearfix parallax-window" data-parallax="scroll" data-image-src="<?php echo esc_url($edu_light_testimonial_background_image)?>">
				<div class="container">
					<div class="row">
						<div class="testimonials-wrapper">
							<div class="why-choose-right">
								<h2><?php echo esc_html($edu_light_testimonial_main_title_text);?> </h2>
								<div class="divider centre"></div><!-- line after heading -->
								<div class="testimonials-slider">
									<?php
									$i =1;
									foreach ( $edu_light_testimonial_page_array as $edu_light_testimonial_page_arrays )
									{
										if ( $edu_light_testimonial_select_number_page < $i)
										{
											break;
										}?>
									
									<div class="testimonials-content">
										<div class="testimonails-image">
											<img src="<?php echo esc_url($edu_light_testimonial_page_arrays['testimonial_image']);?>" class="img-responsive" alt="<?php echo esc_html($edu_light_testimonial_page_arrays['testimonial_title']);?>">
										</div>
										<div class="testimonals-content">
											<p><?php echo wp_kses_post($edu_light_testimonial_page_arrays['testimonial_content']); ?></p>
											<a href="<?php echo esc_url($edu_light_testimonial_page_arrays['testimonial_link']);?>"><?php echo esc_html($edu_light_testimonial_page_arrays['testimonial_title']);?></a>
										</div>
									</div>
									<?php }
									?>
								</div><!-- testimonials-slider -->
							</div><!-- right -->	
						</div><!-- md 4 -->
					</div><!-- row -->
				</div><!-- container -->
			</section><!-- testimonials-section -->
    <?php
	}
}
endif;

add_action('edu_light_homepage','edu_light_testimonial',60);