<?php

if( ! function_exists( 'edu_light_inline_style' ) ) :

    /**
     * edu-light wp_head hook
     *
     * @since  edu-light 1.0.0
     */
    function edu_light_inline_style(){
      
        global $edu_light_customizer_all_values;



        global$edu_light_google_fonts;
        $edu_light_customizer_defaults['edu-light-font-family-site-identity'] = 'Raleway:400,300,500,600,700,900';
        $edu_light_customizer_defaults['edu-light--font-family-menu'] = 'Raleway:400,300,500,600,700,900';

        $edu_light_font_family_site_identity =$edu_light_google_fonts[$edu_light_customizer_all_values['edu-light-font-family-site-identity']];
        // var_dump($edu_light_font_family_site_identity);die('hello');
        $edu_light_font_family_menu =$edu_light_google_fonts[$edu_light_customizer_all_values['edu-light-font-family-menu']];
        $edu_light_font_family_h1_h6 =$edu_light_google_fonts[$edu_light_customizer_all_values['edu-light-font-family-h1-h6']];


        $edu_light_background_color                 = get_background_color();
        $edu_light_primary_color_option             = $edu_light_customizer_all_values['edu-light-primary-color'];
        $edu_light_site_identity_color_option       = $edu_light_customizer_all_values['edu-light-site-identity-color']; 
        $edu_light_section_heading_title_color      = $edu_light_customizer_all_values['edu-light-heading-section-title-color'];
        $edu_light_post_page_title_color            = $edu_light_customizer_all_values['edu-light-post-page-title-color'];
        $edu_light_top_menu_background_color        = $edu_light_customizer_all_values['edu-light-top-menu-background-color'];
        $edu_light_menu_text_color                  = $edu_light_customizer_all_values['edu-light-menu-text-color'];                  

        /*end of about section*/
        ?>
        <style type="text/css">
        /*site identity font family*/
        .site-title,
        .site-title a,
        .site-description,
        .site-description a {
            font-family: '<?php echo esc_attr( $edu_light_font_family_site_identity ); ?>'!important;
        }
        /*main menu*/
        .main-navigation a{
            font-family: '<?php echo esc_attr( $edu_light_font_family_menu ); ?>'!important;
        }
        
        h2, h2 a, .h2, .h2 a, 
        h2.widget-title, .h1, .h3, .h4, .h5, .h6, 
        h1, h3, h4, h5, h6 .h1 a, .h3 a, .h4 a,
        .h5 a, .h6 a, h1 a, h3 a, h4 a, h5 a, 
        h6 a {
            font-family: '<?php echo esc_attr( $edu_light_font_family_h1_h6 ); ?>'!important;
        }

        /*=====COLOR OPTION=====*/

        /*Color*/
        /*----------------------------------*/
        /*background color*/ 
        <?php 
        if( !empty($edu_light_background_color) ){
        ?>
          
          body{
            background-color: #<?php echo esc_html( $edu_light_background_color );?>;
          }
        <?php
        } 
        /*Primary*/
        if( !empty($edu_light_primary_color_option) ){
        ?>
            input[type="button"], 
            input[type="reset"], 
            input[type="submit"],
           .callto-action.wrapper,
           .btn-white,
           input.search-submit,
           a.border-only,
           section.latest-news .left-blog-content .blog-meta,
           aside#secondary section.widget h2:after,
           .nav-links a,
           #return-to-top:hover,
           .nav-links a:hover:before,
           #return-to-top,
            button.single_add_to_cart_button {
              background-color: <?php echo esc_attr( $edu_light_primary_color_option );?> !important;
            }  

             .footer aside h1.widget-title span,             
             .callto-action.wrapper h2 span i,
             .feature-section i,
             .site-branding .site-title a:hover,
             section.nav-section #site-navigation a:hover,
             li.active a,
             .social-section:hover,
             aside#secondary ul li a:hover,
             section.latest-news .left-blog-content .by-line a:hover,
             section.latest-news .left-blog-content h4 a:hover,
             .feature-section h3 a:hover,
             td#prev a, td#next a,
             td a[href^="https"], 
             td a[href^="http"],
             .footer aside ul li a:hover,
             article.post h2 a:hover, 
             article.page h2 a:hover,
             article.post a:hover, 
             article.page a:hover,
             #breadcrumb ul li a:hover,
             #comments a:hover,
             .footer-site-info a,
             .wrapper.testimonials-section a:hover,
             header#masthead ul li i {
              color: <?php echo esc_attr( $edu_light_primary_color_option );?> !important;
            }     

            .about-section .image-section{
              box-shadow: 5px 4px 0px 0px <?php echo esc_attr( $edu_light_primary_color_option );?> !important;
            }  

            input.search-submit {
              border-color: <?php echo esc_attr( $edu_light_primary_color_option );?> !important;
            }             

           
        <?php
        } 

        if ( !empty($edu_light_section_heading_title_color) )
        {?>
            /* section heading color */
             .wrapper h2
            {
                color: <?php echo esc_attr($edu_light_section_heading_title_color);?>!important;
            }
        <?php }


        if ( !empty($edu_light_menu_text_color) )
        {?>
            /* menu text color */
             section.nav-section #site-navigation a
            {
                color: <?php echo esc_attr($edu_light_menu_text_color);?>!important;
            }
        <?php }

        if ( !empty($edu_light_top_menu_background_color) )
        {?>
            /* top menu background color */
             header#masthead section.top-header
            {
                background: <?php echo esc_attr($edu_light_top_menu_background_color);?>!important;
            }
        <?php }

        if ( !empty($edu_light_post_page_title_color) )
        {?>
            /* top menu background color */
             h3
            {
                color: <?php echo esc_attr($edu_light_post_page_title_color);?>!important;
            }
        <?php }


        if( !empty($edu_light_site_identity_color_option) ){
        ?>
            /*Site identity / logo & tagline*/
            .site-branding .site-title a,
            .site-branding .site-title a:visited,
            .site-description {
              color: <?php echo esc_attr( $edu_light_site_identity_color_option );?>;
            }
        <?php

        } 

          
        ?>
        </style>
    <?php
    }
endif;
